#include "global.h"

#ifdef CLIENT

err_t client_connected(void *arg, struct tcp_pcb *pcb, err_t err)
{
	err_t ret_code = ERR_OK;

	if(ERR_OK == err) {
		tcp_recv(pcb, client_recv);
		tcp_poll(pcb, client_poll, 2*POLL_INTERVAL);
	} else {
		print("client_connected(): echec\n\r");
		ret_code = err;
	}

	return ret_code;
}

#endif //CLIENT
