#include "global.h"
#include "lwip/pbuf.h"

#ifdef CLIENT

err_t client_poll(void *arg, struct tcp_pcb *pcb)
{
	struct pbuf *pbuf = NULL;
	err_t ret_code = ERR_OK;
	int client_close = *(int *)arg;

	pbuf = pbuf_alloc(PBUF_TRANSPORT, 4, PBUF_RAM);
	if(pbuf != NULL) {
		((char *)pbuf->payload)[0] = 'S';
		((char *)pbuf->payload)[1] = 'M';
		((char *)pbuf->payload)[2] = 'P';
		((char *)pbuf->payload)[3] = '\0';
		
		(void) tcp_write(pcb, pbuf->payload, pbuf->len, 1);
		tcp_sent(pcb, client_sent);
		
		pbuf_free(pbuf);

		if(1 == client_close)
			ret_code = tcp_close(pcb);
	}

	return ret_code;
}

#endif //CLIENT
