#include "lwip/sys.h"   // sys_init()
#include "lwip/mem.h"   // mem_init()
#include "lwip/memp.h"  // memp_init()
#include "lwip/pbuf.h"  // pbuf_init()
#include "lwip/netif.h" // netif_init()
#include "lwip/tcp.h"   // tcp_init()

int lwip_init(void)
{
	sys_init();
	mem_init();
	memp_init();
	pbuf_init();
	netif_init();
	tcp_init();

	return 0;
}
