#include "lwip/err.h" //err_t
#include "global.h" //print()

void print_err(err_t err)
{
	switch(err) {
	case ERR_OK:
		print("none\n\r");
		break;
	case ERR_MEM:		
		print("pas assez de mmoire\n\r");
		break;
	case ERR_BUF:
		print("probleme de buffer\n\r");
		break;
	case ERR_ABRT:
		print("connexion abandonnee\n\r");
		break;
	case ERR_RST:
		print("connexion remise a zero\n\r");
		break;
	case ERR_CLSD:
		print("connexion fermee\n\r");
		break;
	case ERR_CONN:
		print("pas connecte\n\r");
		break;
	case ERR_VAL:
		print("valeur illegale\n\r");
		break;
	case ERR_ARG:
		print("argument illegale\n\r");
		break;
	case ERR_RTE:
		print("probleme de routine\n\r");
		break;
	case ERR_USE:
		print("addresse deja utilisee\n\r");
		break;
	case ERR_IF:
		print("probleme d'interface reseau\n\r");
		break;
	case ERR_ISCONN:
		print("deja connecte\n\r");
		break;
	default:
		print("???\n\r");
	}
}
