#include "global.h"

#ifdef SERVER

err_t server_recv(void *arg, struct tcp_pcb *pcb, struct pbuf *pbuf, err_t err)
{
	err_t ret_code = ERR_OK;
	int server_close = *(int *)arg;

	if(ERR_OK == err) {
		if(pbuf != NULL) {
			print("Donnees recues par le serveur : 0x");
			putnum(pbuf->tot_len);
			print("\n\r");

			tcp_recved(pcb, pbuf->tot_len);
			
			(void) tcp_write(pcb, pbuf->payload, pbuf->len, 1);
			tcp_sent(pcb, server_sent);

			pbuf_free(pbuf);
		
			if(1 == server_close)
				ret_code = tcp_close(pcb);
		}
	} else {
		print("server_recv(): echec\n\r");
		ret_code = err;
	}

	return ret_code;
}

#endif //SERVER
